jQuery(window).on('load', function(){
	'use strict';
	//===== Isotope =====//
	if (jQuery('.fltr-itm').length > 0) {
		if (jQuery().isotope) {
			var jQuerycontainer = jQuery('.masonry, .msonry'); // cache container
			jQuerycontainer.isotope({
				itemSelector: '.fltr-itm',
				columnWidth: 1
			});
			jQuery('.fltr-btns a, .fltr-lnks a').click(function () {
				var selector = jQuery(this).attr('data-filter');
				jQuery('.fltr-btns li, .fltr-lnks li').removeClass('active');
				jQuery(this).parent().addClass('active');
				jQuerycontainer.isotope({ filter: selector });
				return false;
			});
			jQuerycontainer.isotope('layout'); // layout/layout
		}

		jQuery(window).resize(function () {
			if (jQuery().isotope) {
				jQuery('.masonry, .msonry, .msonry2').isotope('layout'); // layout/relayout on window resize
			}
		});
	}
});